---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterinstcls007.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2190, symSize: 0x2A0 }
  - { offsetInCU: 0xAD4, offset: 0xAD4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50120, symBinAddr: 0x7220, symSize: 0x0 }
  - { offsetInCU: 0xAFB, offset: 0xAFB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52060, symBinAddr: 0x9160, symSize: 0x0 }
  - { offsetInCU: 0xB1D, offset: 0xB1D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52450, symBinAddr: 0x9550, symSize: 0x0 }
  - { offsetInCU: 0xB3F, offset: 0xB3F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x533F0, symBinAddr: 0xA4F0, symSize: 0x0 }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53400, symBinAddr: 0xA500, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FD60, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FD64, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FD68, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC2A, offset: 0xC2A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FEB0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xCA3, offset: 0xCA3, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FF68, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FF6C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCDA, offset: 0xCDA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FF70, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCF3, offset: 0xCF3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FF74, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD0C, offset: 0xD0C, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FF78, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FF80, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FF90, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FF98, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FFA0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FFA8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FFB0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FFB8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x50000, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL11timer_info1, symObjAddr: 0x50008, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL5nanos, symObjAddr: 0x50028, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL11timer_info2, symObjAddr: 0x50030, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x954C, offset: 0x954C, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50050, symBinAddr: 0x7210, symSize: 0x0 }
  - { offsetInCU: 0x9565, offset: 0x9565, size: 0x8, addend: 0x0, symName: __ZL21debugeeClassSignature, symObjAddr: 0xE3E0, symBinAddr: 0x5D10, symSize: 0x0 }
  - { offsetInCU: 0x95B7, offset: 0x95B7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xE10, symSize: 0x80 }
  - { offsetInCU: 0x964C, offset: 0x964C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xD60, symSize: 0xB0 }
  - { offsetInCU: 0x96A7, offset: 0x96A7, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xC60, symSize: 0x100 }
  - { offsetInCU: 0x993A, offset: 0x993A, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xE90, symSize: 0xC0 }
  - { offsetInCU: 0x998C, offset: 0x998C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xF50, symSize: 0x220 }
  - { offsetInCU: 0x9B71, offset: 0x9B71, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1170, symSize: 0xA0 }
  - { offsetInCU: 0x9C24, offset: 0x9C24, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1210, symSize: 0x110 }
  - { offsetInCU: 0x9D1A, offset: 0x9D1A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1320, symSize: 0x150 }
  - { offsetInCU: 0x9E77, offset: 0x9E77, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1470, symSize: 0x30 }
  - { offsetInCU: 0x9F20, offset: 0x9F20, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x14A0, symSize: 0x150 }
  - { offsetInCU: 0xA118, offset: 0xA118, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x15F0, symSize: 0x160 }
  - { offsetInCU: 0xA3D8, offset: 0xA3D8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1750, symSize: 0x4A0 }
  - { offsetInCU: 0xA64B, offset: 0xA64B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1BF0, symSize: 0x1B0 }
  - { offsetInCU: 0xA866, offset: 0xA866, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1DA0, symSize: 0xA0 }
  - { offsetInCU: 0xA935, offset: 0xA935, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1E40, symSize: 0x20 }
  - { offsetInCU: 0xA96C, offset: 0xA96C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1E60, symSize: 0x20 }
  - { offsetInCU: 0xA9A3, offset: 0xA9A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1E80, symSize: 0x20 }
  - { offsetInCU: 0xAB12, offset: 0xAB12, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1EA0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE2E, offset: 0xAE2E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2040, symSize: 0x150 }
  - { offsetInCU: 0xAFEB, offset: 0xAFEB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2430, symSize: 0x1D0 }
  - { offsetInCU: 0xB2E7, offset: 0xB2E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2600, symSize: 0x80 }
  - { offsetInCU: 0xB3B0, offset: 0xB3B0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2680, symSize: 0x6C0 }
  - { offsetInCU: 0xBF26, offset: 0xBF26, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA410, symBinAddr: 0x3F00, symSize: 0xB0 }
  - { offsetInCU: 0xBF9D, offset: 0xBF9D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2D40, symSize: 0x70 }
  - { offsetInCU: 0xC09D, offset: 0xC09D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x2DB0, symSize: 0x3B0 }
  - { offsetInCU: 0xC515, offset: 0xC515, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3160, symSize: 0xA0 }
  - { offsetInCU: 0xC5F4, offset: 0xC5F4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3200, symSize: 0x40 }
  - { offsetInCU: 0xC6EA, offset: 0xC6EA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3240, symSize: 0x2B0 }
  - { offsetInCU: 0xCA90, offset: 0xCA90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x34F0, symSize: 0xC0 }
  - { offsetInCU: 0xCBD6, offset: 0xCBD6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x35B0, symSize: 0x10 }
  - { offsetInCU: 0xCC98, offset: 0xCC98, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x35C0, symSize: 0x240 }
  - { offsetInCU: 0xCF81, offset: 0xCF81, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3800, symSize: 0x10 }
  - { offsetInCU: 0xCFDE, offset: 0xCFDE, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3810, symSize: 0x1F0 }
  - { offsetInCU: 0xD241, offset: 0xD241, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F10, symBinAddr: 0x3A00, symSize: 0x10 }
  - { offsetInCU: 0xD31E, offset: 0xD31E, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0x9F20, symBinAddr: 0x3A10, symSize: 0x2F0 }
  - { offsetInCU: 0xD5DC, offset: 0xD5DC, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA210, symBinAddr: 0x3D00, symSize: 0x200 }
  - { offsetInCU: 0xD832, offset: 0xD832, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA4C0, symBinAddr: 0x3FB0, symSize: 0x36A }
...
